
WhizzMod = {}

function WhizzMod.Print(...) 
	
	if not DEFAULT_CHAT_FRAME then return end

	local msg = 'WhizzMod: '
	
	for k,v in ipairs(arg) do
		
		msg = msg .. tostring(v)
		
	end

	DEFAULT_CHAT_FRAME:AddMessage(msg)
	
end

function WhizzMod.CheckChat(message, who, channel)


	--WhizzMod.Print("Check: ", message, " ", who)
	
	local found = false
	for i,person in pairs(WhizzMod.MagicUsers) do
		--WhizzMod.Print("People: ", who, " ", person)
		if who == person then
			--WhizzMod.Print("People ok: ", who, " ", person)
			found = true
		end
	end

	if found == false then return end

	--WhizzMod.Print("Person is ok: ", who)

	found = false

	for i,phrase in pairs(WhizzMod.MagicPhrases) do
		--WhizzMod.Print("Phrase: ", phrase, " ", message)
		if string.find(message, phrase) then
			found = true
		end
	end
	
	if found == false then return end

	--WhizzMod.Print("Phrase is ok: ", message)
	--WhizzMod.Print("CheckOk: ", message, " ", who)

	return true
end

function WhizzMod.DoYourStuff()
	--WhizzMod.Print("Doing my stuff")
	PlaySoundFile(WhizzMod.SoundFile)
end

function WhizzMod.Logic(message, who, channel)
	--WhizzMod.Print("Logic: ", message, " ", who)
	if WhizzMod.CheckChat(message, who, channel) then
		WhizzMod.DoYourStuff()
	end
end

function WhizzMod.OnLoad()
   this:RegisterEvent("CHAT_MSG_SAY");
   this:RegisterEvent("CHAT_MSG_YELL");

   --Print("Loaded!");
   
    --SlashCmdList["CMD"] = WhizzMod.CommandHandler;
    --SLASH_WHIZZMOD1 = "/wm";
    --SLASH_WHIZZMOD2 = "/whizzmod";
end

function WhizzMod.OnEvent() --event, arg1, arg2)

	--WhizzMod.Print("Event: ", event, " ", arg1, " ", arg2)
	
	if event == "CHAT_MSG_YELL" then
		WhizzMod.Logic(arg1, arg2, event)
	elseif event == "CHAT_MSG_SAY" then
		WhizzMod.Logic(arg1, arg2, event)
	end
end

---Globals
function WhizzMod_OnLoad()
	WhizzMod.OnLoad()
end

function WhizzMod_OnEvent()
	WhizzMod.OnEvent()
end

